<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MyExamPlan_List.aspx.cs"
    Inherits="RM.Web.Training.ExamPlan.MyExamPlan_List" %>

<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamPlan_myksrw")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script type="text/javascript">        
        //parent.window.location = "/Training/ExamPlan/MyExamPlan_ListMoblie.aspx";
        var browser = {
            versions: function () {
                var u = navigator.userAgent, app = navigator.appVersion;
                return {         //移动终端浏览器版本信息
                    trident: u.indexOf('Trident') > -1, //IE内核
                    presto: u.indexOf('Presto') > -1, //opera内核
                    webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                    gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                    mobile: !!u.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
                    ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                    android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或uc浏览器
                    iPhone: u.indexOf('iPhone') > -1, //是否为iPhone或者QQHD浏览器
                    iPad: u.indexOf('iPad') > -1, //是否iPad
                    symbianos: !!u.match(/SymbianOS.*/), //是否SymbianOS
                    webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
                };
            } (),
            language: (navigator.browserLanguage || navigator.language).toLowerCase()
        }
        function M2M() {
            if (browser.versions.mobile) {
//            || document.body.clientWidth < 500
                var key = QueryString("key");
                if (key != "") {
                    parent.window.location = "/Training/ExamPlan/MyExamPlan_ListMoblie.aspx?key=" + key;
                }
                else {
                   parent.window.location = "/Training/ExamPlan/MyExamPlan_ListMoblie.aspx";
                }
            }
        }
        function getExamList(key, epk) {
            top.openDialog("/Training/Exam/ExamIntroduce.aspx?ExamKey=" + key + "&exam=" + key + "&EPKey=" + epk, 'Examination_Test', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sjlb")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_ksxz")%>', 650, 380, 50, 50);
            //window.location = "/Training/Exam/CorrectExam.aspx?HashKey=67dcdaed-6dff-4f53-a521-4e7af50c4cee";
            return false;
        }
        function Golianxi(examId) {
            parent.window.location = "/Training/Exam/Practise.aspx?EKey=" + examId;//进入练习
        }
        function lishi() {
            parent.window.location = "/Training/Exam/ExamHistory_List.aspx"; //进入历史考试
        }
    </script>
    <style type="text/css" >
        .grid a{color:red; font-weight:bold;}
        .grid a:link{color:red;font-weight:bold; }
        .grid a:visited{color:red;font-weight:bold; }
    </style>
</head>
<body onload="M2M()">
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
             <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamPlan_myksrw")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamPlan_kaoshiinfo")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <%--<uc2:LoadButton ID="LoadButton1" runat="server" />--%>
            <a title="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("MyExamPlan_List_ls")%>" onclick="lishi();" class="button green"><span class="icon-botton" style="background: url('/Themes/images/16/clock.png') no-repeat scroll 0px 4px;"></span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("MyExamPlan_List_ls")%></a>
               <a class="button green" onclick="lookExam_ExamPlan_PersonalData();" title="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamHistory_ExamPlanListlookdata")%>"><span class="icon-botton"
                style="background: url('/Themes/images/16/mail.png') no-repeat scroll 0px 4px;">
            </span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ExamHistory_Listlookdata")%></a>
        </div>
    </div>
    <div class="div-body">
        <%=cstable.ToString()%>
    </div>
    </form>
</body>
</html>
<script type="text/javascript">
    $(function () {
        //把分页定位到屏幕下面
        divresize(90);
        FixedTableHeader("#table1", $(window).height() - 121);
    })
    function lookExam_ExamPlan_PersonalData() {
        var arrt = new Array();
        arrt = CheckboxValue().split('|');
        var key = arrt[0];
        if (IsEditdata(CheckboxValue())) {

            var url = "/Training/DataStatistics/ExamPlan_PersonalData.aspx?EPkey=" + key;
            window.location = url;
        }
    }
</script>

